Package it.ernytech.tdlib

## Class TdApi.SetBotUpdatesStatus

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetBotUpdatesStatus

Enclosing class:
  TdApi

    public static class TdApi.SetBotUpdatesStatus
    extends TdApi.Function

Informs the server about the number of pending bot updates if they haven't been processed for a long time; for bots only.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `errorMessage` The last error message.
`int` `pendingUpdateCount` The number of pending updates.

### Constructor Summary

Constructors
`SetBotUpdatesStatus()` Default constructor.
`SetBotUpdatesStatus​(int pendingUpdateCount, java.lang.String errorMessage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### pendingUpdateCount

    public int pendingUpdateCount

The number of pending updates.

#### errorMessage

    public java.lang.String errorMessage

The last error message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetBotUpdatesStatus

    public SetBotUpdatesStatus()

Default constructor.

#### SetBotUpdatesStatus

    public SetBotUpdatesStatus​(int pendingUpdateCount,
                               java.lang.String errorMessage)

Constructor for initialization of all fields.

Parameters:
  `pendingUpdateCount` - The number of pending updates.
  `errorMessage` - The last error message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR